# tf2des

transfer function to descriptor

## Calling Sequence

    S=tf2des(G)
                S=tf2des(G,flag)

## Arguments

G

  linear system (`syslin` list) with possibly polynomial `D` matrix

flag

  character string `"withD"`

S

  list

## Description

Transfer function to descriptor form: `S=list('d',A,B,C,D,E)`

    E*xdot = A*x+B*u
    y = C*x + D*u

Note that `D=0` if the optional parameter flag=`"withD"` is not given. Otherwise a maximal rank `D` matrix is returned in the fifth entry of the list `S`

## Examples

    s=poly(0,'s');
    G=[1/(s-1),s;1,2/s^3];
    S1=tf2des(G);des2tf(S1)
    S2=tf2des(G,"withD");des2tf(S2)

## See Also

- pol2des
- tf2ss
- ss2des
- des2tf